## git-buildpackage 0.6.0~git20111202

=== docs/Makefile ===
#!/usr/bin/make

COMMANDS = git-buildpackage  \
           git-import-dsc    \
           git-import-dscs   \
           git-import-orig   \
           git-dch           \
           gbp-pull          \
           gbp-clone         \
           gbp-pq            \
           gbp-create-remote-repo

MANUAL=manual-html
SGML_MANPAGES=$(patsubst %,%.1,$(COMMANDS))
POD_MANPAGES=git-pbuilder.1
MANPAGES=$(SGML_MANPAGES) $(POD_MANPAGES)
VERSION_ENT=version.ent
CHANGELOG=../debian/changelog

all: $(MANUAL) $(MANPAGES)

$(MANUAL): manual.sgml chapters/*.sgml manpages/*.sgml
	docbook-2-html -s local $<
	cp /usr/share/gtk-doc/data/*.png $(MANUAL)

%.1: man.%.sgml
	docbook2man -o . $<

git-pbuilder.1: ../bin/git-pbuilder
	pod2man $< $@

manual.sgml: $(VERSION_ENT)

$(VERSION_ENT): $(CHANGELOG)
	echo '<!ENTITY gbp-version "$(DEB_VERSION)">' > $(VERSION_ENT)

clean:
	-rm -r manual-html/
	-rm *.1 manpage.* $(VERSION_ENT)

=== debian/changelog ===
git-buildpackage (0.6.0~git20111202) experimental; urgency=low

  [ Guido Günther ]
  * [3a3539a] Document that gbp-create-repo is noninteractive
    (Closes: #643752)
  * [bf397fc] gbp-pq: Properly check for start of signature (Closes: #646400)
  * [718f0c3] gbp-pq: Strip .patch and .diff when importing patches without a
    subject
  * [3fcf009] command_wrappers.Command: Don't print several error lines
  * [37e8310] Allow to import upstream tarballs into bare repositories
    (Closes: #582775)
  * [abf90ab] Allow to import Debian packages into bare repositories
  * [8c22803] gbp-pull: massive speedup by just updating the ref to the
    remote's SHA1 instead of checking out the branch and doing a fast-forward
    merge.
  * [af07c40] gbp-pq: Instead of looking for the signature don't let git
    generate it. Thanks to Robert Luberda
  * [69d348c] Support postexport hooks. Heavily based on a patch by Jan Čapek
    (Closes: #640982)
  * [030744d] Parse the changelog of the exported tree instead of the working
    copy when using --export. This reduces the number of options needed when
    using an export dir since the correct tarball is now being created without
    additional options. (Closes: #564791)
  * GitRepository: Lots of api, documentation and test updates replacing Git*
    classes by GitRepository methods. Check the apidocs for details.
  * [7168735] Switch to dh

  [ Jan Čapek ]
  * [d2c1033] Documentation update for --git-postexport, --git-postbuild typo
    fix
  * [f7a6b07] Additional documentation for postexport hook in the manual - the
    documentation now provides sample postexport script and gbp.conf

 -- Guido Günther <agx@sigxcpu.org>  Fri, 02 Dec 2011 19:19:51 +0100

=== debian/control ===
Source: git-buildpackage
Section: vcs
Priority: optional
Maintainer: Guido Günther <agx@sigxcpu.org>
Build-Depends: debhelper (>= 7.0.50~), python (>> 2.6.6-3~),
 pychecker, gtk-doc-tools, sgml2x, docbook-utils, jade, python-dateutil, python-nose,
 bash-completion, perl, python-epydoc, python-coverage, python-setuptools,
# For the testsuite
 git-core, bzip2, unzip
Standards-Version: 3.9.2
Vcs-Git: git://honk.sigxcpu.org/git/git-buildpackage.git
Vcs-Browser: http://git.debian.org/?p=users/agx/git-buildpackage.git
Homepage: https://honk.sigxcpu.org/piki/projects/git-buildpackage/
X-Python-Version: >= 2.6

Package: git-buildpackage
Architecture: all
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, devscripts (>= 2.10.66~),
 git (>= 1:1.7.0.4-2) | git-core (>= 1:1.5.0.1-1), python-dateutil
Recommends: pristine-tar (>= 0.5), cowbuilder
Suggests: python-notify, unzip
Description: Suite to help with Debian packages in Git repositories
 This package contains the following tools:
  * git-import-{dsc,dscs}: import existing Debian source packages into a git
    repository
  * git-import-orig: import a new upstream version into the git repository
  * git-buildpackage: build a package out of a git repository, check for local
    modifications and tag appropriately
  * git-dch: generate Debian changelog entries from Git commit messages
  * gbp-{pull,clone}: clone and pull from remote repos
  * gbp-pq: manage debian/patches easily
  * gbp-create-remote-repo: create remote repositories

## git-buildpackage 0.6.0~git20111217

=== docs/Makefile ===
--- 
+++ 
@@ -15,6 +15,8 @@
 POD_MANPAGES=git-pbuilder.1
 MANPAGES=$(SGML_MANPAGES) $(POD_MANPAGES)
 VERSION_ENT=version.ent
+GBP_VERSION=../gbp/version.py
+DEB_VERSION=$(shell sed -ne 's/^gbp_version="\([.a-z0-9~]\+\)"/\1/p' $(GBP_VERSION))
 CHANGELOG=../debian/changelog
 
 all: $(MANUAL) $(MANPAGES)
@@ -31,7 +33,7 @@
 
 manual.sgml: $(VERSION_ENT)
 
-$(VERSION_ENT): $(CHANGELOG)
+$(VERSION_ENT): $(GBP_VERSION)
 	echo '<!ENTITY gbp-version "$(DEB_VERSION)">' > $(VERSION_ENT)
 
 clean:

=== debian/changelog ===
git-buildpackage (0.6.0~git20111217) experimental; urgency=low

  * [baeee74] docs: fix version string
  * [2ff6119] pq: add --force option to fore recreation of pq branch so one
    doesn't have to drop the old one first.

 -- Guido Günther <agx@sigxcpu.org>  Sat, 17 Dec 2011 13:28:12 +0100

=== debian/rules ===
#!/usr/bin/make -f
  
EXAMPLE_SCRIPTS=\
    gbp-add-patch          \
    gbp-cowbuilder-sid     \
    gbp-posttag-push       \
    gbp-configure-unpatched-source \
    wrap_cl.py

DEB_COMPRESS_EXCLUDE=$(EXAMPLE_SCRIPTS)

PYCHECKER_ARGS=-boptparse --no-override --no-shadowbuiltin

%:
	dh $@ --with python2

override_dh_auto_test:
	dh_auto_test
	export GIT_AUTHOR_NAME="Gbp Tests";		\
	export GIT_AUTHOR_EMAIL=tests@example.com;	\
	export GIT_COMMITTER_NAME=$$GIT_AUTHOR_NAME;	\
	export GIT_COMMITTER_EMAIL=$$GIT_AUTHOR_EMAIL;	\
	PYTHONPATH=.					\
	python setup.py nosetests
	
	PYTHONPATH=. pychecker $(PYCHECKER_ARGS) -q \
		gbp gbp.scripts gbp.git gbp.deb

override_dh_auto_build:
	dh_auto_build
	epydoc --config=setup.cfg
	make -C docs/

override_dh_auto_install:
	dh_auto_install
	dh_bash-completion

voerride_dh_auto_clean:
	dh_auto_clean
	make -C docs/ clean
	-rm gbp/version.py

override_dh_compress:
	dh_compress --exclude=usr/share/doc/git-buildpackage/examples/

## git-buildpackage 0.6.0~git20120123

=== debian/changelog ===
git-buildpackage (0.6.0~git20120123) experimental; urgency=low

  [ Guido Günther ]
  * [90fb9b2] Add "gbp-pq switch" to bash completion
  * [8328c32] Allow to specify the upstream tree via --upstream-tree without
    the indirection to --upstream-branch.
  * [3d4adca] gbp-posttag-push: Allow to push the upstream tag too via the -u
    option.
  * [2d84986] gbp-post-tag-push: Add --verbose option to ease debugging
  * [cd41023] git-buildpackage: Allow to pass pbuilder options via commandline
    or gbp.conf
  * [a31c95b] Update to git-pbuilder 1.27. This adds support for creating
    backport build environments. Thanks to Russ Allbery
  * [338ee68] git-buildpackage: Add --pristine-tar-commit option. This option
    allows to auto commit a generated tarball to the pristine-tar branch to
    simplify building non-dfsg clean packages and to make it easier to track
    uptream git without having to commit the generated tarball manually.

  [ Markus Lehtonen ]
  * [0c47432] Add git-depth option to gbp-clone and gbp-pull.  Allows creating
    and deepening shallow clones. This is sometimes useful for e.g. saving
    bandwidth when cloning.

 -- Guido Günther <agx@sigxcpu.org>  Mon, 23 Jan 2012 22:13:38 +0100

git-buildpackage (0.6.0~git20111229) experimental; urgency=low

  * [686f29c] scripts/pq: handle patches without filename extension. Don't
    fail if patches don't have a proper patch header and filename extensions
    (like in the heimdal package)
  * [248b550] Update git-pbuilder to 1.25.
    Thanks to Russ Allbery (Closes: #635061, #642355)
  * [58978c5] Add --[no-]-pbuilder-autoconf to pass GIT_PBUILDER_AUTOCONF=no
    to git-pbuilder.
  * [01a2689] gbp-pq: add "switch" action to quickly switch between
    patch-queue and base branch.
  * [8f41ffb] docs: add missing dependency to manpage generation
  * [6bfc8e5] Fix typo in clean target override
  * [747c05d] dch: Honor epoch when guessing new upstream version.
    Thanks to a lot to Daniel Dehennin for the testcase (Closes: #652366)
  * [ed4e523] import_dsc: remove debian/ dir from upstream source after
    importing it. This gives us the orig tarball on upstream but the debian
    branch looks the same as with dpkg-source -x. (Closes: #653472)

 -- Guido Günther <agx@sigxcpu.org>  Thu, 29 Dec 2011 14:52:29 +0100

## git-buildpackage 0.6.0~git20120124

=== debian/changelog ===
git-buildpackage (0.6.0~git20120124) experimental; urgency=low

  [ Markus Lehtonen ]
  * [b7d7016] gbp-pq: don't crash in get_maintainer_from_control() even if
    debian/control is missing.

  [ Guido Günther ]
  * [c5eee2b] PristineTar: add missing import for debug output
  * [3ca0a98] PristineTar: fix match when not passing in a compression type
  * [45ab61b] Depend on pristine-tar for the tests
  * [041dbf2] GitRepository: allow to capture stderr in __git_inout
    stderr was always None.
  * [e6fd2ce] GitRepository: Use _git_inout() in __init__()
    to avoid misleading error message

 -- Guido Günther <agx@sigxcpu.org>  Tue, 31 Jan 2012 10:22:13 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  pychecker, gtk-doc-tools, sgml2x, docbook-utils, jade, python-dateutil, python-nose,
  bash-completion, perl, python-epydoc, python-coverage, python-setuptools,
 # For the testsuite
- git-core, bzip2, unzip
+ git-core, bzip2, unzip, pristine-tar
 Standards-Version: 3.9.2
 Vcs-Git: git://honk.sigxcpu.org/git/git-buildpackage.git
 Vcs-Browser: http://git.debian.org/?p=users/agx/git-buildpackage.git

## git-buildpackage 0.6.0~git20120218

=== docs/Makefile ===
--- 
+++ 
@@ -25,7 +25,7 @@
 	docbook-2-html -s local $<
 	cp /usr/share/gtk-doc/data/*.png $(MANUAL)
 
-%.1: man.%.sgml
+%.1: man.%.sgml manpages/%.sgml
 	docbook2man -o . $<
 
 git-pbuilder.1: ../bin/git-pbuilder

=== debian/changelog ===
git-buildpackage (0.6.0~git20120218) unstable; urgency=low

  [ Markus Lehtonen ]
  * [24e7725] Make pristine_tar testcases pass with older git versions that
    don't support user-defined output formats (tar filters) in git-archive.

  [ Guido Günther ]
  * [14d36c0] Depend on git instead of git-core (Closes: #659661)
  * [f25fa9b] Lower dependencies on python-nose and python-coverage the
    versions in Squeeze are recent enough.
  * [7e41626] Require git 1.7 which is already in Squeeze and Lenny Backports
  * [63411b7] gbp-pq: Properly print patch name when guessing authorship
    information

 -- Guido Günther <agx@sigxcpu.org>  Sat, 18 Feb 2012 16:16:48 +0100

git-buildpackage (0.6.0~git20120210) unstable; urgency=low

  * [d279757] PristineTar: fix links in testcases
  * [44814b7] Include missing doctests in generated API docs
  * [3875d5d] gbp-pull: Use a DebianGitRepository (Closes: #659290)

 -- Guido Günther <agx@sigxcpu.org>  Fri, 10 Feb 2012 09:30:47 +0100

git-buildpackage (0.6.0~git20120209) unstable; urgency=low

  * Upload to unstable

 -- Guido Günther <agx@sigxcpu.org>  Thu, 09 Feb 2012 14:08:43 +0100

git-buildpackage (0.6.0~git20120207) experimental; urgency=low

  * Upload to unstable
  * [1e51936] git-import-orig: Properly detect .tgz and other abbreviated file
    extensions (Closes: #658777)

 -- Guido Günther <agx@sigxcpu.org>  Tue, 07 Feb 2012 23:24:48 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  pychecker, gtk-doc-tools, sgml2x, docbook-utils, jade, python-dateutil, python-nose,
  bash-completion, perl, python-epydoc, python-coverage, python-setuptools,
 # For the testsuite
- git-core, bzip2, unzip, pristine-tar
+ git, bzip2, unzip, pristine-tar
 Standards-Version: 3.9.2
 Vcs-Git: git://honk.sigxcpu.org/git/git-buildpackage.git
 Vcs-Browser: http://git.debian.org/?p=users/agx/git-buildpackage.git
@@ -16,7 +16,7 @@
 Package: git-buildpackage
 Architecture: all
 Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, devscripts (>= 2.10.66~),
- git (>= 1:1.7.0.4-2) | git-core (>= 1:1.5.0.1-1), python-dateutil
+ git (>= 1:1.7.0.4-2), python-dateutil
 Recommends: pristine-tar (>= 0.5), cowbuilder
 Suggests: python-notify, unzip
 Description: Suite to help with Debian packages in Git repositories

=== debian/rules ===
--- 
+++ 
@@ -28,14 +28,14 @@
 
 override_dh_auto_build:
 	dh_auto_build
-	epydoc --config=setup.cfg
+	epydoc -v --config=setup.cfg
 	make -C docs/
 
 override_dh_auto_install:
 	dh_auto_install
 	dh_bash-completion
 
-voerride_dh_auto_clean:
+override_dh_auto_clean:
 	dh_auto_clean
 	make -C docs/ clean
 	-rm gbp/version.py

## git-buildpackage 0.6.0~git20120315

=== debian/changelog ===
git-buildpackage (0.6.0~git20120315) unstable; urgency=low

  * [3cac77f] docs: Fix path to gbp-configure-unpatched-source. Thanks to
    Tobias Frost (Closes: #664063)
  * [2f08cbd] Parse author and comitter from changelog for native package too
    (Closes: #662993)

 -- Guido Günther <agx@sigxcpu.org>  Thu, 15 Mar 2012 22:39:00 +0100

git-buildpackage (0.6.0~git20120311) unstable; urgency=low

  * [83dcb28] Move gbp.conf manpage to section 5 and add references from the
    other manpages

 -- Guido Günther <agx@sigxcpu.org>  Sun, 11 Mar 2012 19:23:35 +0100

git-buildpackage (0.6.0~git20120227) unstable; urgency=low

  * Upload to unstable
  * [45d7dc8] import_dsc: Create debian branch for native packages too
    (Closes: #663001)
  * [80cf6d4] Add manual page for gbp.conf.
    Thanks to Jari Alto for the POD version (Closes: #661748)
  * [a8b8536] Build-require a git version that supports --no-edit
    (Closes: #663103)
  * [b4cfcab] Remove build/ directory during clean so we don't step on any
    epydoc leftovers
  * [b6a4387] Bump standards version to 3.9.3
  * [6f2f554] GbpOptionParser: allow to modify list of parsed conf files
    by setting the GBP_CONF_FILES environment variable.
  * [38870d5] git-import-dscs: allow to ignore gbp.conf files stored in the
    repository (Closes: #660898)

 -- Guido Günther <agx@sigxcpu.org>  Thu, 08 Mar 2012 18:56:42 +0100

git-buildpackage (0.6.0~git20120226) experimental; urgency=low

  [ Markus Lehtonen ]
  * [bca9f76] Refactor config.py as preparation for rpm support.
  * [38afb27] docs: add missing tags to sgml files
  * [2081900] gbp-pq: refactor args of write_patch()
    Allows defining the formerly hardcoded patch_dir. This makes write_patch()
    re-usable in the upcoming RPM-tools.

  [ Guido Günther ]
  * Upload to experimental so the current version in sid can move to testing
    first.
  * [7726bca] Make sure we test the built modules not the system ones
  * [1018809] copy_from: remove, not used anymore
  * [09e4080] docs: make version pattern match the code (Closes: #650465)
    Thanks: Leo 'costela' Antunes
  * [970fbaa] config.py: Add default value print out to all options
  * [f3aa87f] GitRepository.merge: add edit option defaulting to False
    (Closes: #659239)
  * [67c8513] Depend on git >= 1:1.7.9.1-1~ for a working "git merge
    --no-edit". Thanks to Jonathan Nieder

 -- Guido Günther <agx@sigxcpu.org>  Sun, 26 Feb 2012 12:09:23 +0100

=== debian/rules ===
--- 
+++ 
@@ -37,6 +37,7 @@
 
 override_dh_auto_clean:
 	dh_auto_clean
+	rm -rf build/
 	make -C docs/ clean
 	-rm gbp/version.py

## git-buildpackage 0.6.0~git20120415

=== debian/changelog ===
git-buildpackage (0.6.0~git20120415) unstable; urgency=low

  [ Guido Günther ]
  * [1e68f6e] gbp.git.repository: don't append a second .git when mirroring a
    repository
  * [b7797f9] ALlow to set the output directory via GIT_PBUILDER_OUTPUT_DIR.
    Helps with #657277
  * [407dfa1] Make the upstream version check match policy
    (Closes: #668554)
  * [d1ed77a] Ignore locale when checking for a clean repository
    (Closes: #668896)

  [ Jö Fahlke ]
  * [43e3a60] docs: correct --git-builder default value

 -- Guido Günther <agx@sigxcpu.org>  Sun, 15 Apr 2012 19:05:32 +0200

git-buildpackage (0.6.0~git20120404) unstable; urgency=low

  * [f4529a4] docs: add --git-upstream-tag to git-buildpackage's manpage
  * [96332cc] Start documenting useful options when upstream uses git. This is
    quiet terse yet so follow up bugs are welcome. (Closes: #664771)
  * [eae4e4a] gbp-posttag-push: Tighten branch regexp so we don't push to
    branches ending with the same name accidentally.
  * [169a924] gbp-add-patch: Fix typo

 -- Guido Günther <agx@sigxcpu.org>  Wed, 04 Apr 2012 18:50:19 +0200

git-buildpackage (0.6.0~git20120324) experimental; urgency=low

  * [8fd6162] gbp-create-remote-repo: Use DebianGitRepository (Closes: #664283)
  * [ddaa653] gbp-create-remote-repo: don't expect a terminal so you can do
    'echo y | gbp-create-remote-repo'
  * [92cc7ba] gbp-create-remote-repo: allow to use local file transport too
  * [6d4b4ff] gbp create-remote-repo: allow to pass template directory to git
    init so it's possible to set up remote hooks.
  * [b9d03af] gbp-create-remote-repo: add --remote-config. This specifies an
    additional config file section that can be used to preconfigure different
    remote locations.
  * [d6e0e8d] git-import-orig: Allow to pass in an upstream vcs tag.  This
    allows to link the import-orig commit with the corresponding upstream vcs
    tag. See #664771 for a discussion.

 -- Guido Günther <agx@sigxcpu.org>  Fri, 23 Mar 2012 23:58:42 +0100

## git-buildpackage 0.6.0~git20120601

=== docs/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make
 
-COMMANDS = git-buildpackage  \
+MANS = git-buildpackage  \
            git-import-dsc    \
            git-import-dscs   \
            git-import-orig   \
@@ -8,10 +8,11 @@
            gbp-pull          \
            gbp-clone         \
            gbp-pq            \
-           gbp-create-remote-repo
+           gbp-create-remote-repo \
+           gbp.conf
 
 MANUAL=manual-html
-SGML_MANPAGES=$(patsubst %,%.1,$(COMMANDS))
+SGML_MANPAGES=$(patsubst %,%.1,$(MANS))
 POD_MANPAGES=git-pbuilder.1
 MANPAGES=$(SGML_MANPAGES) $(POD_MANPAGES)
 VERSION_ENT=version.ent
@@ -38,5 +39,5 @@
 
 clean:
 	-rm -r manual-html/
-	-rm *.1 manpage.* $(VERSION_ENT)
+	-rm *.1 *.5 manpage.* $(VERSION_ENT)

=== debian/changelog ===
git-buildpackage (0.6.0~git20120601) unstable; urgency=low

  * Upload to unstable
  * [a5f0d87] git-import-dsc: add --allow-unauthenticated
    (Closes: #670623)
  * [a116edd] Refactor deb helpers: move PristineTar class based on a patch
    by Markus Lehtonen. This refactor is preparation to the upcoming rpm
    support.
  * [f52a417] git-buildpackage: add missing import so move_old_export works
    again
  * [16f0309] git-buildpackage overlay-mode: don't fail on files named like
    the tarball. Instead of moving individual files around simply rename the
    directories. This is faster and independent of the tarballs content.
    (Closes: #675412)
  * [7f580d9] git-buildpackage: allow to build packages from detached HEAD
    state with --git-ignore-branch.
    (Closes: #661598)

 -- Guido Günther <agx@sigxcpu.org>  Fri, 01 Jun 2012 23:44:17 +0200

git-buildpackage (0.6.0~git20120524) experimental; urgency=low

  [ Markus Lehtonen ]
  * [3308868] Refactor deb helpers: introduce PkgPolicy class.  Create a new
    'pkg' basemodule, intended to be re-used by the upcoming rpm package
    helpers. Move some deb functionality to a new pkg.PkgPolicy class, to be
    used as a base for different package types. Introduces Deb-specific
    deb.DebianPkgPolicy.
  * [082679d] Refactor deb helpers: move build_tarball_name() from
    UpstreamSource class to DebianPkgPolicy.
  * [f495df9] Refactor deb helpers: move UpstreamSource class to pkg base
    module. This refactor is preparation to the upcoming rpm support.

  [ Guido Günther ]
  * [83165aa] GitRepository.format_patches: allow to set threading format
    and disable it by default.
  * [5de6410] docs: complete git-dch synopsis
  * [1eeb298] Add gbp.deb.ChangeLogSection to parse package and version out of
    a changelog section
  * [1ea487e] Don't explicitly refer to lenny-backports.
    Thanks to Salvatore Bonaccorso
  * [9d1459b] gbp.deb.changelog: Split parsing into a separate function
    this will allow us to reparse the changelog after manipulation with dch.
  * [2ecf9e3] gbp.deb.ChangeLog: Add filename property

  [ Jérémy Lal ]
  * [ae850da] --ignore-branch config help fix

  [ Daniel Dehennin ]
  * [c57d4af] gbp.git.repository: Add a "git merge-base" wrapper
    (Closes: #672642)
  * [edc6483] Provide minimalist debian/control object
    (Closes: #673473)

  [ Salvatore Bonaccorso ]
  * [bb32e94] git-dch: Add support for --team switch for Team uploads
    (Closes: #673368)
  * [016bf21] Document --bpo, --nmu and --qa in git-dch's manpage
    (Closes: #673422)

 -- Guido Günther <agx@sigxcpu.org>  Thu, 24 May 2012 14:05:47 +0200

git-buildpackage (0.6.0~git20120419) experimental; urgency=low

  [ Guido Günther ]
  * [3b34b26] Make building with DEB_BUILD_OPTIONS=nocheck skip all tests
    heavily based on a patch by Matthijs Kooijman (Closes: #669149)

  [ Matthijs Kooijman ]
  * [a43e9b9] Git-Dch: Full in commit messages.
    This new tag makes git-dch use the full commit message when generating
    the Debian changelog file, even when --full is not given. (Closes: #669159)
  * [b72702f] Bug#669145: Add git-dch --commit and --commit-msg options
    (Closes: #669145)

  [ Markus Lehtonen ]
  * [19b6e24] docs: add some missing tags to sgml files
  * [9c4f34c] Refactor gbp-pq as preparation for rpm support.
    Separate some functions of gbp-pq into a basemodule, intended to be
    re-used by the upcoming rpm variant of the tool.
    Also, introduces a new python subpackage gbp.scripts.common to be used
    for the re-usable parts of the scripts in the refactoring work.
  * [c8e4807] Refactor git-buildpackage as preparation for rpm support.
    Separate some functions of git-buildpackage into a basemodule, intended
    to be re-used by the upcoming rpm variant of the tool.
  * [27c35b1] import-orig: refactor args of ask_package_* functions.
    Makes ask_package_name() and ask_package_version() more generic and
    re-usable in the upcoming RPM-tools.
  * [5826e9c] Refactor git-import-orig as preparation for rpm support.
    Separate some functions of git-import-orig into a baselib, intended to
    be re-used by the upcoming rpm variant of the tool.

 -- Guido Günther <agx@sigxcpu.org>  Thu, 19 Apr 2012 00:24:03 +0200

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
  pychecker, gtk-doc-tools, sgml2x, docbook-utils, jade, python-dateutil, python-nose,
  bash-completion, perl, python-epydoc, python-coverage, python-setuptools,
 # For the testsuite
- git, bzip2, unzip, pristine-tar
-Standards-Version: 3.9.2
+ git (>= 1:1.7.9.1-1~), bzip2, unzip, pristine-tar
+Standards-Version: 3.9.3
 Vcs-Git: git://honk.sigxcpu.org/git/git-buildpackage.git
 Vcs-Browser: http://git.debian.org/?p=users/agx/git-buildpackage.git
 Homepage: https://honk.sigxcpu.org/piki/projects/git-buildpackage/
@@ -16,7 +16,7 @@
 Package: git-buildpackage
 Architecture: all
 Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, devscripts (>= 2.10.66~),
- git (>= 1:1.7.0.4-2), python-dateutil
+ git (>= 1:1.7.9.1-1~), python-dateutil
 Recommends: pristine-tar (>= 0.5), cowbuilder
 Suggests: python-notify, unzip
 Description: Suite to help with Debian packages in Git repositories

=== debian/rules ===
--- 
+++ 
@@ -15,6 +15,7 @@
 	dh $@ --with python2
 
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	dh_auto_test
 	export GIT_AUTHOR_NAME="Gbp Tests";		\
 	export GIT_AUTHOR_EMAIL=tests@example.com;	\
@@ -25,6 +26,9 @@
 	
 	PYTHONPATH=. pychecker $(PYCHECKER_ARGS) -q \
 		gbp gbp.scripts gbp.git gbp.deb
+else
+	@echo "Checks disabled via DEB_BUILD_OPTIONS"
+endif
 
 override_dh_auto_build:
 	dh_auto_build

## git-buildpackage 0.6.0~git20120822

=== debian/changelog ===
git-buildpackage (0.6.0~git20120822) unstable; urgency=low

  [ Guido Günther ]
  * [e05bfb9] dch: Fix error reporting on parsing errors
  * [f4162be] manpage: Fix typo in git-dch's multimain-merge option
    (Closes: #684322)
  * [e8d175a] manpages: correct manual section and remove duplicate entry

  [ Zhang Qiang ]
  * [0af1e72] GitRepository/branch_contains: remove prefix '*' in branch name.

  [ Markus Lehtonen ]
  * [678f85f] docs: fix cross-referencing in manpages.
  * [f0d4b0d] docs: make refentry ids of manpages more consistent
  * [dc3b3b6] GitArgs/add: support iterable and non-string args.

  [ Ed Bartosh ]
  * [7524bbb] GitRepository: Implement set_upstream_branch and
    get_upstream_branch methods

 -- Guido Günther <agx@sigxcpu.org>  Wed, 22 Aug 2012 10:58:07 +0200

git-buildpackage (0.6.0~git20120803) unstable; urgency=low

  [ Guido Günther ]
  * [6287b0d] gbp.conf: Make config option printing more consistent
  * [9430ee1] Make TestDir testcase use a newly created directory neeeded for
    the upcoming packagename/version parsing support
  * [e9d239b] UpstreamSource: automatically detect package name and versions
    from directories of the form packagename-<version>
  * [41482a3] tests: test GitRepository.get_commit_info()
  * [dd593a0] GitRepository: return GitModifier object instead of separate
    fields this make sure the number of return values doesn't stays sane when
    also returning timestamps and committer information.
  * [92a744e] GitRepository: Add test that covers remote branches in
    has_branch()
  * [e6e0150] Make exception syntax consistent
  * [d3ee4b0] GitRepository: Make rev_parse's short option an int everywhere
  * [891ea2b] git.repository.GitRepository.add_remote_repo: use GitArgs
  * [036db95] gbp.git.GitRepository: Add remove_remote
  * [4db02e5] Fix variable renaming
  * [f4da964] GitModifier: More flexible date handling.
    Allow to pass in the date as datetime object, timestamp or git raw date.
    and allow to retrieve these values. This make constructing GitModifiers
    from python simpler.
  * [cd829c9] GitRepository: raise GitRepositoryError on git errors.
    Raise GitRepositoryError in cases where CommandExecFailed (from
    GitCommand) was previously silently passed forward.
    Heavily based on a patch by Markus Lehtonen.
  * [7a9f947] GitModifier: use __getitem__ to fetch date
    instead of accessing __dict__ directly which only has _date.
  * [c4524f8] GitModifier: add tests for dict interface
  * [c47deff] Remove multiple spaces
  * [56a8672] Skip tests requiring devscripts if dch is not there
    so tests don't fail on rpm based systems.
  * [5961a4d] Test help output by importing the modules
    so we get correct coverage information for the scripts
  * [68efed1] gbp.command_wrappers: Reformat to 80 chars line length
  * [aa2ba85] Add tests for gbp.deb.{DpkgCompareVersions,DscFile}
  * [83577af] Move uscan to separate class
  * [776cbb7] Improve error reporting from uscan
    by parsing out the warnings and error fields from the dehs output.

  [ Markus Lehtonen ]
  * [9b68e37] import-orig: move is_link_target() to common module.
    This change makes is_link_target() re-usable in the upcoming RPM-tools.
  * [36e0986] common/pq: use strip in apply_and_commit_patch()
    Use the strip information of the patch when applying patches. Also,
    changes GitRepository.apply_patch() to accept integer values as 'strip'
    argument.
  * [cc1ebfd] PristineTar: move Debian-specific stuff to DebianPristineTar.
    Continuation to the PristineTar refactoring, makes the "common"
    PristineTar independent of DebianPkgPolicy. This commit moves the
    Debian-specific has_commit() and checkout() methods to DebianPristineTar
    class and replaces them with more generic functions in the base class.
    Also, drops the Debian-specific get_commit() method completely, as it
    was not used outside the PristineTar class itself.
  * [18fc698] GitRepository: fix process cwd in _git_inout()
  * [1e85978] GitRepository: make get_commit_info() more robust.
    Now uses git-show instead of git-log. This is needed for further
    enhancements (namely to get name-status for merge commits). Also, use
    null-character as the field separator which makes parsing more reliable.
    The method now returns 'body' of the commit message as is, without
    stripping or splitting to lines.
    In addition, get_commit_info() now uses GitArgs and _git_inout() instead
    of the deprecated _git_getoutput().
  * [2c668bf] GitRepository/get_commit_info: check return value of git command
    correctly
  * [4d56ab6] GitRepository/rev_parse: add new argument 'short'
    Adds a new argument to get abbreviated SHA1.
    Also, modifies rev_parse() to use GitArgs class.
  * [ba55f9e] GitRepository/get_author_info: return user.name as name.
    Return users full name (user.name) instead of email (user.email) as the
    'name' of the author when taking the value from git config.
  * [21ac2d8] GitRepository: option to ignore untracked in is_clean()
    Add an option to ignore untracked files when checking if the repository
    is clean.
  * [7f9776f] GitRepository/get_commit_info: add author timestamp.
    Add author timestamps to the info returned by get_commit_info() method.
  * [32f725f] GitRepository/get_commit_info: add committer info.
    Add committer to the info returned by get_commit_info() method. Returns
    committer name, email and timestamp as a GitModifier object.
  * [6e4138f] GitRepository/get_commit_info: add file status.
    Add file status and name to the info returned by the get_commit_info()
    method.

  [ Ed Bartosh ]
  * [9c54298] deb.git: Fixed typo in method name
    the double underscore prefix was dropped ages ago.

  [ Daniel Dehennin ]
  * [b970ca0] Test behavior of gbp.scripts.dch.main().
    * tests/11_test_dch_main.py: Test common cases with "--release" and
      "--snapshot". Try 2 consecutive snapshots to check for merged entries.



## git-buildpackage 0.6.0~git20120822ubuntu1

=== docs/Makefile ===
#!/usr/bin/make

MAN1S = git-buildpackage  \
        git-import-dsc    \
        git-import-dscs   \
        git-import-orig   \
        git-dch           \
        gbp-pull          \
        gbp-clone         \
        gbp-pq            \
        gbp-create-remote-repo
MAN5S = gbp.conf

MANUAL=manual-html
SGML_MANPAGES=$(patsubst %,%.1,$(MAN1S)) $(patsubst %,%.5,$(MAN5S))
POD_MANPAGES=git-pbuilder.1
MANPAGES=$(SGML_MANPAGES) $(POD_MANPAGES)
VERSION_ENT=version.ent
GBP_VERSION=../gbp/version.py
DEB_VERSION=$(shell sed -ne 's/^gbp_version="\([.a-z0-9~]\+\)"/\1/p' $(GBP_VERSION))
CHANGELOG=../debian/changelog

all: $(MANUAL) $(MANPAGES)

$(MANUAL): manual.sgml chapters/*.sgml manpages/*.sgml
	docbook-2-html -s local $<
	cp /usr/share/gtk-doc/data/*.png $(MANUAL)

# We build manpages under 'buildxref/' just to get an updated cross-reference
# file (manpage.refs), before building the final manpages
BUILD_MAN_XREF_PAGES=$(patsubst %,buildxref/%,$(SGML_MANPAGES))

buildxref/%.1 buildxref/%.5: man.%.sgml manpages/%.sgml
	docbook2man -o buildxref $<

manpage.refs: $(BUILD_MAN_XREF_PAGES)
	cp buildxref/$@ $@

%.1 %.5: manpage.refs
	docbook2man -o . man.$*.sgml

git-pbuilder.1: ../bin/git-pbuilder
	pod2man $< $@

manual.sgml: $(VERSION_ENT)

$(VERSION_ENT): $(GBP_VERSION)
	echo '<!ENTITY gbp-version "$(DEB_VERSION)">' > $(VERSION_ENT)

clean:
	-rm -r manual-html/
	-rm *.1 *.5 manpage.* $(VERSION_ENT)
	-rm -r buildxref

=== debian/changelog ===
git-buildpackage (0.6.0~git20120822ubuntu1) raring; urgency=low

  * Set DEB_VENDOR=Debian for the test suite.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Sun, 04 Nov 2012 15:31:54 +0000

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: git-buildpackage
 Section: vcs
 Priority: optional
-Maintainer: Guido Günther <agx@sigxcpu.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Guido Günther <agx@sigxcpu.org>
 Build-Depends: debhelper (>= 7.0.50~), python (>> 2.6.6-3~),
  pychecker, gtk-doc-tools, sgml2x, docbook-utils, jade, python-dateutil, python-nose,
  bash-completion, perl, python-epydoc, python-coverage, python-setuptools,
 # For the testsuite
- git (>= 1:1.7.9.1-1~), bzip2, unzip, pristine-tar
+ git (>= 1:1.7.9.1-1~), bzip2, unzip, pristine-tar, devscripts
 Standards-Version: 3.9.3
 Vcs-Git: git://honk.sigxcpu.org/git/git-buildpackage.git
 Vcs-Browser: http://git.debian.org/?p=users/agx/git-buildpackage.git

## git-buildpackage 0.6.0~git20121124

=== debian/changelog ===
git-buildpackage (0.6.0~git20121124) unstable; urgency=low

  [ Guido Günther ]
  * [c3c2778] Add minimal debian/source/format parser
  * [3878867] PEP-8 and pyflakes cleanups
  * [30c1821] Add support dch's --security option
  * [4970b42] gbp-pq: Print number of import tries left
  * [cf48b03] Allow to remove the orig tarball symlink that's used make
    pristine-tar see the correct orig tarball name.
    (Closes: #692401)
  * [09ba538] GbpError accepts an error message so no need to print it
    separately.
  * [a488695] Minor git-import-orig manpage improvements
  * [4c9bb9f] Add missing git- prefix to --color and --notify options.
    Thanks to Filippo Rusconi (Closes: #693978)
  * [9478bad] testutils: create missing directories when adding a file
  * [691856d] Use an absolute path when parsing the control file so we can't
    accidentally parse a file from another dir.
  * [d248720] Test apply_and_commit_patch
  * [3952091] gbp-pq: Allow to pass in custom function to fetch authorship
    information so the RPM based tools don't need to rely on a control file
    but can e.g. look at the spec file.
  * [7f2c9c1] gbp-pq: Test if setting a topic works
  * [f4d493d] Add sha1 stripping in a single place so we can easily sanity
    check the result.
  * [95ec21a] Output test results in xunit format too to make it more useful
    in Jenkins CI builds
  * [24fdd97] Test gbp.pq.common.write_patch
  * [824e83e] gbp-pq: don't use plural form when there's only one try left
  * [8b01d37] git-import-dscs: Properly catch import errors
    (Closes: #694113)

  [ Dmitrijs Ledkovs ]
  * [323bdcf] Fix  testsuite failure if DEB_VENDOR != Debian.
    (Closes: #692289)

  [ Markus Lehtonen ]
  * [f4d2e21] GitRepository: implement _cmd_has_feature() method to allow
    compatibility with older git versions.
  * [dfbedfe] GitRepository: fix merge() for older git versions using
    _cmd_has_feature() in GitRepository.merge().
  * [ba854d8] GitRepository/diff: add 'paths' argument to makes the diff
    function more versatile
  * [b7cdef5] GitRepository/diff: catch git error.
  * [fe1e120] command_wrappers: suppress some pylint warnings
  * [4ed1b43] notifications.py: remove unused import
  * [0a9bf99] tests: make tests a Python module to make it possible to reuse
    code between various tests.
  * [932b1c0] pq: fix "no authorship" warning messages.
  * [1da7e0d] import-orig: remove dead if statement.
  * [3678906] import-orig: remove dead GbpNothingImported exception
  * [8bc7921] GitRepository/get_commits: more flexible revision ranges.
  * [36d13cb] GitRepository/get_submodules: use correct path.
  * [3362147] GitRepository/get_commit_info: support tags.
  * [03cdea0] GitRepository/has_submodules: use correct .gitmodules file.

  [ Ed Bartosh ]
  * [8bb62f5] GitRepository.find_tag: change deprecated _git_getoutput to
    _git_inout

 -- Guido Günther <agx@sigxcpu.org>  Sat, 24 Nov 2012 14:55:24 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: git-buildpackage
 Section: vcs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Guido Günther <agx@sigxcpu.org>
+Maintainer: Guido Günther <agx@sigxcpu.org>
 Build-Depends: debhelper (>= 7.0.50~), python (>> 2.6.6-3~),
  pychecker, gtk-doc-tools, sgml2x, docbook-utils, jade, python-dateutil, python-nose,
  bash-completion, perl, python-epydoc, python-coverage, python-setuptools,

## git-buildpackage 0.6.0~git20130414

=== debian/changelog ===
git-buildpackage (0.6.0~git20130414) unstable; urgency=low

  * [e948bd3] Don't try access source before it's filled

 -- Guido Günther <agx@sigxcpu.org>  Sat, 13 Apr 2013 19:36:57 +0200

git-buildpackage (0.6.0~git20130413) unstable; urgency=low

  [ Daniel Dehennin ]
  * [a9bf9cf] Move debian/changelog manipulation to gbp.deb.changelog.ChangeLog.
    (Closes: #672954)
  * [ae4a368] Add option to manage distribution fields for non snapshot mode.
    The snapshot mode fails to merge two "debian/changelog" entries if the
    distribution is not "UNRELEASED".
    (Closes: #646684)
  * [920053e] Add urgency management.

  [ Guido Günther ]
  * [62d3b99] Move DebianPkgPolicy to separate module
  * [7335735] Move DscFile to separate module
  * [e5d9816] Generate coverage xml for cobertura style coverage information
    that can be picked up by e.g. Jenkins
  * [6eb2ddc] Use _git_inout for git.show
    so we don't spew the error message on stdout for nonexistent objects
  * [d510f2a] Honor debian/source/format when checking if a package is a
    native package (Closes: #669267)

  [ Markus Lehtonen ]
  * [54679eb] Add .coveragerc.
    To get correct report if coverage is invoked directly (not through
    nose/disttools) in order to get an xml report, for example.

  [ Thomas Koch ]
  * [3d6b68a] tests: Use tempfile.mkdtemp to create temp dirs for tests.
    This puts test dirs below /tmp which often is a tmpfs.
    All tests include the context module which consolidates tmpdir creation
    and cleanup, undoes a chdir in teardown and silences log messages.

 -- Guido Günther <agx@sigxcpu.org>  Sat, 13 Apr 2013 14:27:06 +0200

git-buildpackage (0.6.0~git20130329) unstable; urgency=low

  [ Guido Günther ]
  * [703da99] Remove unused imports
  * [db66286] Return boolean types from is_ methods instead of a match object
    or None
  * [db3505f] Better document how one derives from PkgTypes
  * [eb999f7] Allow for upper case characters in the upstream version
    (Closes: #703694)
  * [fc9d019] Purging of the build dir should be configurable via a config file
    so introduce --git[-no]-purge which is consistent with the other
    boolean options and deprecate --git-dont-purge. (Closes: #702200)
  * [5925499] Split out building a debian version from an upstream commit
    based on a patch by Daniel Dehennin
    Needed for #672954, #646684, #669171
  * [dafb5a3] Fix docstring

  [ Markus Lehtonen ]
  * [8b80e38] ComponentTestBase: close streamhandler when stopping log capture
  * [5ef9e77] gbp-pull: update tags, too.
    To make sure that the tags are in sync with the remote.
  * [6fc1c08] tests/component: pylint fixes.
    Add module docstring and wrap one overlong line.
  * [7709f21] tests: skip test_Changelog if 'dch' tool is not available
  * [dcf7467] setup: possibility to skip nosetest requirements.
    Makes it possible to not require test requirements by defining
    WITHOUT_NOSETESTS environment variable when running setup.
  * [3d80b2f] GitRepository/_cmd_has_feature: more intelligent parsing.
    More intelligent parsing of the git output (man page). Try to
    parse optional options like '--[no-]standard-notes' of git-show
    correctly. In this example both 'no-standard-notes' and 'standard-notes'
    would be available.
  * [57bbd0a] GitArgs: utilize the add() method in other add_X methods.
    Only use the add() method for updating the argument list. This makes the
    code more robust and makes all add method variant types support the same
    argument types.
  * [3b873f7] ComponentTestBase: capability to check files of repo.
    Makes it possible to check that the correct files are present in
    the working copy of the repo.
  * [64ed77c] tests.test_GitRepository: import and setup gbp.log.
    In order to initialize gbp logging properly. Fixes false positives when
    the GitRepository tests are run alone.

  [ Zhang Qiang ]
  * [6703edc] packaging: Add man as dependency.
    Required by GitRepository._cmd_has_feature() method.

  [ Daniel Kahn Gillmor ]
  * [4323cc8] Include the name of the package being built in the debian tag
    message.  (Closes: #704018)

 -- Guido Günther <agx@sigxcpu.org>  Fri, 29 Mar 2013 12:34:07 +0100

git-buildpackage (0.6.0~git20130314) unstable; urgency=low

  [ Guido Günther ]
  * [4a5fa0d] Ignore rope project files as generated by ropemacs
  * [c6b7bc2] gbp-pq: Improve patch header write out.  Avoid trailing new
    lines in the patch header when reexporing patches.  to avoid diffs when
    nothing changed.
  * [2fa7cac] gbp.log: lowercase the levelname too match the output before the
    switch to Python's logging module
  * [00ed38f] gbp.log: Improve error message on broken color lists
  * [744f85b] gbp-create-remote-repo: Set HEAD in remote repo
    to debian branch (Closes: #692006)
  * [3591792] git-dch: Allow to create changelogs when not on a branch.
    This makes snapshot changelog generation e.g. within jenkins builds
    simpler since jenkins by defaults checkouts out the commit without
    creating a branch.
  * [5176d2a] Check the sha1 doesn't exceed 40 bytes
  * [c097397] Document --git-pristine-tar-commit
  * [9e30bf2] Add component test initialization very heavily based on code by
    Markus Lehtonen
  * [3820adc] Add test data submodule
  * [9ec98c5] Move over import dsc test from external test suite.  Move over
    the first test from our external (shell based) test suite to the component
    tests.
  * [80b5c64] Add missing --git- (LP: #1112831)
  * [b678c6a] Fix typo.
    Thanks to Andreas Beckmann (Closes: #700443)
  * [4ef1081] examples: fix logging.
    Thanks to Carsten Schoenert

  [ Markus Lehtonen ]
  * [83c2c3f] log: rewrite the module to use Python logging module.  Replaces
    the Logger with a new one, derived from the Logger class of the Python
    standard library. Colorized output is handled by a separate handler class.
  * [48c48c9] log: add support for setting the color scheme.  Implements


## git-buildpackage 0.6.0~git20130506

=== debian/changelog ===
git-buildpackage (0.6.0~git20130506) unstable; urgency=low

  [ Guido Günther ]
  * Get rid of lots of spurious output to stderr, only report it in error
    cases. This makes the tools and the testsuite less chatty.
  * [4abfa6a] gbp-pull: Fix typo in help output
  * [90ffae8] manpages: Document gbp-pull's --ignore-branch option

  [ Markus Lehtonen ]
  * [9e3267a] DebianSource: raise DebianSourceError if reading changelog fails
  * [a36dc64] buildpackage: catch and handle DebianSourceError gracefully
  * tests: fixes for older dch
  * [36341dd] GitRepository: add describe() method.
  * [ae63dba] DebianSource: fix is_native()
    Determine from changelog if debian/source/format does not provide any type
    (1.0 format).
  * [f880910] tests: Fix tests for Ubuntu.
  * [f9722f6] buildpackage: implement --[no-]hooks option.

 -- Guido Günther <agx@sigxcpu.org>  Mon, 06 May 2013 19:18:49 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,9 @@
 Priority: optional
 Maintainer: Guido Günther <agx@sigxcpu.org>
 Build-Depends: debhelper (>= 7.0.50~), python (>> 2.6.6-3~),
- pychecker, gtk-doc-tools, sgml2x, docbook-utils, jade, python-dateutil, python-nose,
+ pychecker, gtk-doc-tools, sgml2x, docbook-utils, jade, python-dateutil,
+ python-nose,
+ python-nosexcover,
  bash-completion, perl, python-epydoc, python-coverage, python-setuptools,
 # For the testsuite
  git (>= 1:1.7.9.1-1~), bzip2, unzip, pristine-tar, devscripts
@@ -16,7 +18,7 @@
 Package: git-buildpackage
 Architecture: all
 Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, devscripts (>= 2.10.66~),
- git (>= 1:1.7.9.1-1~), python-dateutil
+ git (>= 1:1.7.9.1-1~), python-dateutil, man-db
 Recommends: pristine-tar (>= 0.5), cowbuilder
 Suggests: python-notify, unzip
 Description: Suite to help with Debian packages in Git repositories

## git-buildpackage 0.6.0~git20130530

=== debian/changelog ===
git-buildpackage (0.6.0~git20130530) unstable; urgency=low

  [ Guido Günther ]
  * [f4acd7a] GitRepository: Use LC_ALL=C when checking features.
    This fixes the doctest and also makes sure we use an up to date manpage.
    Thanks to Daniel Dehennin for the report.
  * [9c5bd03] Add Jenkins Scratchbuilder example.
    It's a simple script that can be used to build Debian packages via gbp
    and Jenkins.

  [ Gaudenz Steinlin ]
  * [47f2dea] git-buildpackage: Unbreak overlay mode (Closes: #708636)

 -- Guido Günther <agx@sigxcpu.org>  Thu, 30 May 2013 15:24:05 +0200
